#!/bin/sh

# mount_inactive_rootfs.sh

MP=/mnt/inactive_rootfs
mkdir -p $MP

echo "mount_inactive_rootfs.sh"

boot_switch=$(fw_printenv -n my_boot_switch)
next_boot_switch=$((1 - ${boot_switch}))
next_rootfs_num=$(fw_printenv -n my_rootfs${next_boot_switch}_num)

umount $MP &>/dev/null
ubidetach -m ${next_rootfs_num} &>/dev/null

if ! ubiattach /dev/ubi_ctrl -m ${next_rootfs_num} -O 2048
then
	echo "ERROR: Konnte /dev/mtd${next_rootfs_num} nicht attachen!"
	exit 1
fi

if ubinfo /dev/ubi2 &> /dev/null
then
	if ! mount -t ubifs ubi2:rootfs $MP
	then
		echo "ERROR: Konnte /dev/mtd${next_rootfs_num} nicht mounten auf $MP"
		exit 1
	fi
else
if ! mount -t ubifs ubi1:rootfs $MP
	then
		echo "ERROR: Konnte /dev/mtd${next_rootfs_num} nicht mounten auf $MP"
		exit 1
	fi
fi
